Bug 116235 - FILEOPEN: Incorrect position with center align with trailing spaces
Summary: FILEOPEN: Incorrect position with center align with trailing spaces
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Slide-Layout
  Show dependency treegraph
 
Reported: 2018-03-06 13:01 UTC by Xisco Faulí
Modified: 2019-03-16 03:56 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
sample (44.00 KB, application/vnd.ms-powerpoint)
2018-03-06 13:01 UTC, Xisco Faulí
Details
comparison MSO 2010 and LibreOffice 6.1 (149.85 KB, image/png)
2018-03-06 13:02 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2018-03-06 13:01:24 UTC
Created attachment 140382 [details]
sample

Steps to reproduce:
1. Open attached document

-> See first paragraph. it's displayed on the center instead of on the left

Reproduced in

Version: 6.1.0.0.alpha0+
Build ID: 2affed9bfd72628549df3049ed9f6e6a30fdb5b8
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

[Bug found by office-interoperability-tools]
Comment 1 Xisco Faulí 2018-03-06 13:02:52 UTC
Created attachment 140383 [details]
comparison MSO 2010 and LibreOffice 6.1
Comment 2 Xisco Faulí 2018-03-06 13:04:03 UTC
Regression introduced by:

author	Tamás Zolnai <tamas.zolnai@collabora.com>	2018-02-17 06:35:29 +0100
committer	Tamás Zolnai <tamas.zolnai@collabora.com>	2018-02-17 07:50:00 +0100
commit	1da3a3cb74a415a76fa547ef0c8f61780e260e7f (patch)
tree	0367d452050d136d6612ba708038fb9d4584987b
parent	71545d500e4b88e960a73d499328504ce99397a8 (diff)
tdf#115639: Align right/center with trailing spaces the same as MS PowerPoint
* Add HoriAlignIgnoreTrailingWhitespace compatibility option.
** For MSO file formats it is set to true
** For ODP format it's set to false by default
** The flag is saved to ODP format as user data if the document
comes from an MSO format.

Bisected with: bibisect-linux64-6.1 

Adding Cc: to Tamás Zolnai
Comment 3 QA Administrators 2019-03-16 03:56:20 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug